Subject: Re: bug#48367: 28.0.50; quit-restore-window may jam

From: martin rudalics <[email-masked]>
Date: Wed, 12 May 2021 14:32:49 +0200

> Looking at the CONTRIBUTE file, I have done this new version with `git format-patch -l1',
 > Is that overall better ?

Yes.

 > Is that OK to call a cl-lib function in the second patch even if this library is not required in window.el ?

No.  I only re-compiled and did not build.  Please try to avoid it since
otherwise we get a

In end of data:
../../lisp/window.el:5039:29: Warning: the function ‘cl-find-if-not’ is not
     known to be defined.

warning.

 >> Also, have you signed the copyright agreement for Emacs?  How should I
 >> call you in the commit?  "pillule"?
 >
 > No, I have not yet signed the agreement, I contact [email-masked] today to do so. I was hoping sloppily that you consider these contributions as trivial.

They are trivial and we don't need an assignment for them.  But signing
the agreement is always a good idea.

 > If it is fine for you to use my pseudonym, it is fine for me.

Then "pillule" be it.

Thanks again, martin